import Button from '../../button';
import React from 'react';
import ReactDOM from 'react-dom';
import Tab from '..';
function handleChange(key) {
    console.log(key);
}
function handleClick() {
    console.log('hello world');
}
const extraContent = (React.createElement(Button, { type: "primary", onClick: handleClick }, "Hello world"));
ReactDOM.render(React.createElement("div", { className: "fusion-demo" },
    React.createElement("div", { className: "demo-item-title" }, "Extra in Horizontal"),
    React.createElement(Tab, { shape: "wrapped", onChange: handleChange, extra: extraContent },
        React.createElement(Tab.Item, { title: "Tab 1", key: "1" }, "Tab 1 Content"),
        React.createElement(Tab.Item, { title: "Tab 2", key: "2" }, "Tab 2 Content"),
        React.createElement(Tab.Item, { title: "Tab 3", key: "3" }, "Tab 3 Content")),
    React.createElement("div", { className: "demo-item-title" }, "Extra in Vertical"),
    React.createElement(Tab, { shape: "wrapped", tabPosition: "left", onChange: handleChange, extra: extraContent, contentClassName: "custom-tab-content" },
        React.createElement(Tab.Item, { title: "Tab 1", key: "1" }, "Tab 1 Content"),
        React.createElement(Tab.Item, { title: "Tab 2", key: "2" }, "Tab 2 Content"),
        React.createElement(Tab.Item, { title: "Tab 3", key: "3" }, "Tab 3 Content"))), document.getElementById('tab-demo-12'));
